<?php
/**
 * The primary template file.
 * 
 * Based on the `index.php` file from TwentyFourteen, with an edited version of the `content.php` include file from that theme also included here.
 */
?>

<?php get_header(); ?> 

<div id="main-content" class="main-content">

    <?php

    if ( is_front_page() && twentyfourteen_has_featured_posts() ) {

        // Include the featured content template.
        get_template_part( 'featured-content' );

    }

    ?>

    <div id="primary" class="content-area">
        <div id="content" class="site-content" role="main">

        <?php

        if ( have_posts() ) {

            while ( have_posts() ) {

                the_post();

                ?>

                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                    <?php

                    // Find the first category the post is in.
                    $categories = get_the_category();
                    $category = $categories[ 0 ]->term_id;

                    $args = array(
                        'cat' => $category,
                        'post_status' => 'inherit',
                        'post_type' => 'attachment',
                        'posts_per_page' => '1'
                    );

                    $query = new WP_Query( $args );

                    if ( $query->have_posts() ) {

                        while ( $query->have_posts() ) {

                            $query->the_post();

                            ?>

                            <div class="category-featured-image">
                                <?php echo wp_get_attachment_image( $post->ID, 'thumbnail' ); ?>
                            </div>

                            <?php

                        }
                    }

                    // Reset postdata to restore ordinal query.
                    wp_reset_postdata();

                    ?>

                    <header class="entry-header">
                        <?php if ( in_array( 'category', get_object_taxonomies( get_post_type() ) ) && twentyfourteen_categorized_blog() ) { ?>
                            <div class="entry-meta">
                                <span class="cat-links"><?php echo get_the_category_list( _x( ', ', 'Used between list items, there is a space after the comma.', 'twentyfourteen' ) ); ?></span>
                            </div>
                        <?php } ?>
                        <?php the_title( '<h1 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' ); ?>
                    </header>

                    <div class="entry-content">
                        <?php

                        the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyfourteen' ) );
                        wp_link_pages(
                            array(
                                'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentyfourteen' ) . '</span>',
                                'after' => '</div>',
                                'link_before' => '<span>',
                                'link_after' => '</span>',
                            )
                        );

                        ?>
                    </div>

                    <?php the_tags( '<footer class="entry-meta"><span class="tag-links">', '', '</span></footer>' ); ?>
                </article>

            <?php

            }

            // Display previous / next post navigation.
            twentyfourteen_paging_nav();

        } else {
            
            // If there is no content, include the "No posts found" template.
            get_template_part( 'content', 'none' );

        }

        ?>

        </div>
    </div>
    <?php get_sidebar( 'content' ); ?>
</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>